# stl_alloc.h File Reference

`#include <cstddef>`
`#include <cstdlib>`
`#include <cstring>`
`#include <cassert>`
`#include <bits/functexcept.h>`
`#include <bits/stl_threads.h>`
`#include <bits/atomicity.h>`

Include dependency graph for stl_alloc.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_alloc.h.